- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Grid

## Functions
Evas_Object * | elm_grid_add (Evas_Object *parent)
| Add a new grid to the parent. More...
void | elm_grid_size_set (Evas_Object *obj, Evas_Coord w, Evas_Coord h)
| Set the virtual size of the grid. More...
void | elm_grid_size_get (const Evas_Object *obj, Evas_Coord *w, Evas_Coord *h)
| Get the virtual size of the grid. More...
void | elm_grid_pack (Evas_Object *obj, Evas_Object *subobj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Pack child at given position and size. More...
void | elm_grid_unpack (Evas_Object *obj, Evas_Object *subobj)
| Unpack a child from a grid object. More...
void | elm_grid_clear (Evas_Object *obj, Eina_Bool clear)
| Faster way to remove all child objects from a grid object. More...
void | elm_grid_pack_set (Evas_Object *subobj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Set packing of an existing child at to position and size. More...
void | elm_grid_pack_get (Evas_Object *subobj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Get packing of a child. More...
Eina_List * | elm_grid_children_get (const Evas_Object *obj)
| Get the list of the children for the grid. More...
#define | elm_obj_grid_size_set(w, h) ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_SIZE_SET), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)
#define | elm_obj_grid_size_get(w, h) ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_SIZE_GET), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h)
#define | elm_obj_grid_pack(subobj, x, y, w, h) ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_PACK), EO_TYPECHECK(Evas_Object *, subobj), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)
#define | elm_obj_grid_unpack(subobj) ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_UNPACK), EO_TYPECHECK(Evas_Object *, subobj)
#define | elm_obj_grid_clear(clear) ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_CLEAR), EO_TYPECHECK(Eina_Bool, clear)
#define | elm_obj_grid_children_get(ret) ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_CHILDREN_GET), EO_TYPECHECK(Eina_List **, ret)

## Detailed Description

The grid is a grid layout widget that lays out a series of children as a fixed "grid" of widgets using a given percentage of the grid width and height each using the child object.

The Grid uses a "Virtual resolution" that is stretched to fill the grid widgets size itself. The default is 100 x 100, so that means the position and sizes of children will effectively be percentages (0 to 100) of the width or height of the grid widget

## Macro Definition Documentation

#define elm_obj_grid_children_get | ( |  | ret | ) | ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_CHILDREN_GET), EO_TYPECHECK(Eina_List **, ret)

Since
  1.8

Get the list of the children for the grid.

Parameters

  [out] | ret |

See Also
  elm_grid_children_get

Referenced by elm_grid_children_get().

#define elm_obj_grid_clear | ( |  | clear | ) | ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_CLEAR), EO_TYPECHECK(Eina_Bool, clear)

Since
  1.8

Faster way to remove all child objects from a grid object.

Parameters

  [in] | clear |

See Also
  elm_grid_clear

Referenced by elm_grid_clear().

#define elm_obj_grid_pack | ( |  | subobj,
|  |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_PACK), EO_TYPECHECK(Evas_Object *, subobj), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)

Since
  1.8

Pack child at given position and size

Parameters

  [in] | subobj |
  [in] | x |
  [in] | y |
  [in] | w |
  [in] | h |

See Also
  elm_grid_pack

Referenced by elm_grid_pack().

#define elm_obj_grid_size_get | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_SIZE_GET), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h)

Since
  1.8

Get the virtual size of the grid

Parameters

  [out] | w |
  [out] | h |

See Also
  elm_grid_size_get

Referenced by elm_grid_size_get().

#define elm_obj_grid_size_set | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_SIZE_SET), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)

Since
  1.8

Set the virtual size of the grid

Parameters

  [in] | w |
  [in] | h |

See Also
  elm_grid_size_set

Referenced by elm_grid_size_set().

#define elm_obj_grid_unpack | ( |  | subobj | ) | ELM_OBJ_GRID_ID(ELM_OBJ_GRID_SUB_ID_UNPACK), EO_TYPECHECK(Evas_Object *, subobj)

Since
  1.8

Unpack a child from a grid object

Parameters

  [in] | subobj |

See Also
  elm_grid_unpack

Referenced by elm_grid_unpack().

## Function Documentation

Evas_Object* elm_grid_add | ( | Evas_Object * | parent | ) |

Add a new grid to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

Eina_List* elm_grid_children_get | ( | const Evas_Object * | obj | ) |

Get the list of the children for the grid.

Parameters

  obj | The grid object

Note
  This is a duplicate of the list kept by the grid internally. It's up to the user to destroy it when it no longer needs it. It's possible to remove objects from the grid when walking this list, but these removals won't be reflected on it.

References elm_obj_grid_children_get.

void elm_grid_clear | ( | Evas_Object * | obj,
|  | Eina_Bool | clear
| ) |  |

Faster way to remove all child objects from a grid object.

Parameters

  obj | The grid object
  clear | If true, it will delete just removed children

References elm_obj_grid_clear.

void elm_grid_pack | ( | Evas_Object * | obj,
|  | Evas_Object * | subobj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Pack child at given position and size.

Parameters

  obj | The grid object
  subobj | The child to pack
  x | The virtual x coord at which to pack it
  y | The virtual y coord at which to pack it
  w | The virtual width at which to pack it
  h | The virtual height at which to pack it

References elm_obj_grid_pack.

void elm_grid_pack_get | ( | Evas_Object * | subobj,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get packing of a child.

Parameters

  subobj | The child to query
  x | Pointer to integer to store the virtual x coord
  y | Pointer to integer to store the virtual y coord
  w | Pointer to integer to store the virtual width
  h | Pointer to integer to store the virtual height

void elm_grid_pack_set | ( | Evas_Object * | subobj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set packing of an existing child at to position and size.

Parameters

  subobj | The child to set packing of
  x | The virtual x coord at which to pack it
  y | The virtual y coord at which to pack it
  w | The virtual width at which to pack it
  h | The virtual height at which to pack it

void elm_grid_size_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get the virtual size of the grid.

Parameters

  obj | The grid object
  w | Pointer to integer to store the virtual width of the grid
  h | Pointer to integer to store the virtual height of the grid

References elm_obj_grid_size_get.

void elm_grid_size_set | ( | Evas_Object * | obj,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set the virtual size of the grid.

Parameters

  obj | The grid object
  w | The virtual width of the grid
  h | The virtual height of the grid

References elm_obj_grid_size_set.

void elm_grid_unpack | ( | Evas_Object * | obj,
|  | Evas_Object * | subobj
| ) |  |

Unpack a child from a grid object.

Parameters

  obj | The grid object
  subobj | The child to unpack

References elm_obj_grid_unpack.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:13